Searching
..

Click anywhere to stop

KLA11560
Multiple vulnerabilities in Mozilla Thunderbird

Updated: 01/22/2024
Detect date
?
09/11/2019
Severity
?
High
Description

Multiple vulnerabilities were found in Mozilla Thunderbird. Malicious users can exploit these vulnerabilities to bypass security restrictions, cause denial of service, execute arbitrary code, perform cross-site scripting attack.

Below is a complete list of vulnerabilities:

  1. Unspecified vulnerability can be exploited via side-channel attack to bypass security restrictions;
  2. Use-after-free vulnerability can be exploited via deleting an IndexedDB key to cause denial of service;
  3. Multiple memory corruption vulnerabilities can be exploited to execute arbitrary code.
  4. Unspecified vulnerability can be exploited via HTML tags parsing to perform cross-site scripting attack;
  5. Unspecified vulnerability can be exploited via crafted multipart/alternative message to bypass security restrictions;
  6. Unspecified vulnerability can be exploited via same-origin policy violation to bypass security restrictions;
  7. Use-after-free vulnerability can be exploited via manipulating video to cause denial of service;
Affected products

Mozilla Thunderbird earlier than 68.1

Solution

Update to the latest version
Download Mozilla Thunderbird

Original advisories

Mozilla Foundation Security Advisory 2019-30

Impacts
?
ACE 
[?]

OSI 
[?]

DoS 
[?]

SB 
[?]

XSS/CSS 
[?]
Related products
Mozilla Thunderbird
CVE-IDS
?
Find out the statistics of the vulnerabilities spreading in your region